package com.ss.android.ugc.aweme.ad.comment.pitaya;

import X.0Gp;
import X.AnonymousClass2RA;
import X.AnonymousClass2RB;
import X.AnonymousClass2RC;
import X.AnonymousClass2W1;
import X.AnonymousClass4BJ;
import X.C43783wo;
import X.Lnj;
import X.Pbp;
import X.TSt;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.ad.comment.IPitayaServiceManeger;

public final class PitayaServiceManager implements IPitayaServiceManeger {
    static {
        Covode.recordClassIndex(52417);
    }

    public final AnonymousClass4BJ LIZ() {
        return new Pbp();
    }

    public final boolean LIZIZ() {
        return AnonymousClass2W1.LIZ.initPitaya((C43783wo) null);
    }

    public final String LIZLLL() {
        return AnonymousClass2RB.LIZ.getString("client_ai_download_json_str", "");
    }

    public static IPitayaServiceManeger LJ() {
        IPitayaServiceManeger iPitayaServiceManeger = (IPitayaServiceManeger) Lnj.LIZ(IPitayaServiceManeger.class, false);
        if (iPitayaServiceManeger != null) {
            return iPitayaServiceManeger;
        }
        Object LIZIZ = Lnj.LIZIZ(IPitayaServiceManeger.class, false);
        if (LIZIZ != null) {
            return (IPitayaServiceManeger) LIZIZ;
        }
        return new PitayaServiceManager();
    }

    public final void LIZJ() {
        Pbp pbp = new Pbp();
        if (AnonymousClass2W1.LIZ.initPitaya((C43783wo) null)) {
            try {
                0Gp.LIZ(new AnonymousClass2RA(pbp));
            } catch (Exception e) {
                TSt.LIZ(e);
            }
        }
    }

    public final void LIZ(String str) {
        Pbp pbp = new Pbp();
        if (str != null && str.length() != 0 && AnonymousClass2W1.LIZ.initPitaya((C43783wo) null)) {
            try {
                0Gp.LIZ(new AnonymousClass2RC(pbp, str));
            } catch (Exception e) {
                TSt.LIZ(e);
            }
        }
    }
}
